<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Mail\MailService;

class FormController extends Controller
{
    public function processForm(Request $request)
    {
        $messageText = $request->input('message');
        $copyToEmail = $request->input('email');
        $mailService = new MailService($messageText, $copyToEmail);
        $mailService->sendEmail();
        return redirect()->back()->with('success', 'Hi, thank you for writing to us!');
    }
}
